post
/{tenantId}/v1/credit-reports/{creditReportId}/resend-smsResend OTP SMS
Requires Authentication
Credit Reports
Resends the OTP verification code via SMS for a pending or expired OTP challenge.
Limited to 3 SMS sends per challenge. Resets the challenge expiry time.
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
creditReportIdrequired | string (uuid) | Credit report UUID |
Request Body
required
challengeIdstring
required
- The ID of the OTP challenge to resend SMS forResponses
SMS resent successfully
Response Bodyapplication/json
metaResponseMeta
requestobject
walletobject
dataobject
remainingSmsCountinteger
- Number of SMS sends remaining for this challengesmsSentCountinteger
- Total number of SMS messages sent for this challengeCode Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/credit-reports/{creditReportId}/resend-sms' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"challengeId": "string"
}'